<div class="example-container">
    <mat-toolbar color="primary" class="example-toolbar">
      <button mat-icon-button (click)="sidenav.toggle()">
        <mat-icon *ngIf="!sidenav.opened">menu</mat-icon>
        <mat-icon *ngIf="sidenav.opened">close</mat-icon>
      </button>
  
      <h1 class="example-app-name">AWS ENCUESTA</h1>
  
      <span class="example-spacer"></span>
  
      <button mat-icon-button [matMenuTriggerFor]="menu">
        <mat-icon>more_vert</mat-icon>
      </button>
  
      <mat-menu #menu="matMenu">
        <button mat-menu-item (click)="sidenav.opened = false" routerLink="/logout">
          <mat-icon>exit_to_app</mat-icon>
          <span>Cerrar Sesión</span>
        </button>
      </mat-menu>
    </mat-toolbar>
  
    <mat-sidenav-container class="example-sidenav-container">
      <mat-sidenav #sidenav style="width: 200px">
        <img src="assets/mitocode.png" width="64">
  
         
        <mat-divider></mat-divider> 
        <button mat-menu-item *ngIf="isAdmin" (click)="sidenav.toggle()" routerLink="/encuesta" style="cursor: pointer">
          <mat-icon>assessment</mat-icon>
          <span>Encuesta</span>
        </button>
        <mat-divider></mat-divider> 
        <button mat-menu-item *ngIf="!isAdmin" (click)="sidenav.toggle()" routerLink="/encuesta/nuevo" style="cursor: pointer">
          <mat-icon>assessment</mat-icon>
          <span>Nuevo</span>
        </button>
      </mat-sidenav>
  
      <mat-sidenav-content>
        <router-outlet></router-outlet>
      </mat-sidenav-content>
    </mat-sidenav-container> 
  
  </div>
  